package com.samsung.embo.common.util.impl;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import com.samsung.embo.common.util.UtilService;
import com.samsung.embo.common.util.dao.UtilDao;

@Service
public class UtilServiceImpl implements UtilService{

	private final UtilDao utilDao;
	public UtilServiceImpl(UtilDao utilDao) {
		this.utilDao = utilDao;
	}

	@Override
	public List<Map<String, Object>> getUserDivision(String userId) {
		return utilDao.selectUserDivision(userId);
	}

	@Override
	public List<Map<String, Object>> selectDivision() {
		return utilDao.selectDivision();
	}

	@Override
	public List<Map<String, Object>> selectGroupMember(Map<String, Object> params) {
		return utilDao.selectGroupMember(params);
	}

}
